be.cin.mycarenet._1_0.carenet.types

## Class ResponseDetailType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.ResponseDetailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:13:27+01:00",
                 comments="JAXB RI v2.3.7")
      public class ResponseDetailType
      extends Object
      implements Serializable

  Java class for ResponseDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResponseDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ConsultantDoctor" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
               <element name="Decision" type="{urn:be:cin:mycarenet:1.0:carenet:types}DecisionType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseDetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConsultantDoctor()` Gets the value of the consultantDoctor property.
    `DecisionType` | `getDecision()` Gets the value of the decision property.
    `void` | `setConsultantDoctor(String value)` Sets the value of the consultantDoctor property.
    `void` | `setDecision(DecisionType value)` Sets the value of the decision property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseDetailType

          public ResponseDetailType()

  - ### Method Detail

    - #### getConsultantDoctor

          public String getConsultantDoctor()

      Gets the value of the consultantDoctor property.
      Returns:
        possible object is `String`

    - #### setConsultantDoctor

          public void setConsultantDoctor(String value)

      Sets the value of the consultantDoctor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDecision

          public DecisionType getDecision()

      Gets the value of the decision property.
      Returns:
        possible object is `DecisionType`

    - #### setDecision

          public void setDecision(DecisionType value)

      Sets the value of the decision property.
      Parameters:
        `value` - allowed object is `DecisionType`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.